// Simulated landscape lights
#declare postlt=composite
{
  object {
    intersection {
      quadric{ Cylinder_Z scale <3.000000 3.000000 3.000000>}
      plane { <0.0 0.0 1.0>  18.0 }
      plane { <0.0 0.0 -1.0> 0.1 }
                 }
    texture {
       Metal
       color Brown
            }
         }

  object {
      union{
      intersection {
      quadric {Cylinder_Z scale <3.000000 3.000000 3.000000>}
      plane { <0.0 0.0 1.0>  24.0 }
      plane { <0.0 0.0 -1.0> 18}
                   }
      light_source { <0 0 21> color Gray50}
           }
   texture {
         color White
         ambient 1
         diffuse 0
           }
    no_shadow
    }

  object {
        intersection {
      quadric {Cylinder_Z scale <3.000000 3.000000 3.000000>}
      plane { <0.0 0.0 1.0>  30.0 }
      plane { <0.0 0.0 -1.0> 24.0}
                    }
    texture {
    Metal
    color Brown
            }
        }

 bounded_by {
    intersection {
      plane { <1.0  0.0  0.0> 3.0 }
      plane { <-1.0 0.0  0.0> 3.0 }
      plane { <0.0  1.0  0.0> 3.0 }
      plane { <0.0 -1.0  0.0> 3.0 }
      plane { <0.0  0.0  1.0> 32.0 }
      plane { <0.0  0.0 -1.0> 0.0 }
    }
  }
}
// place the post lights
composite{
        postlt
        translate <433.729 -272.366 0>
        }

composite{
        postlt
        translate <683.122 -24.947 0>
        }

composite{
        postlt
        translate <913.710 204.378 0>
        }
